Create Personal Project Repository
POST/api/v5/user/repos
Request
Query Parameters
User authorization code
- application/json
Body
Repository name
Repository description
Allow issues to be raised. Default: Allowed (true)
Provide Wiki or not. Default: Provide (true)
Allows users to comment on the repository. Default: Allowed (true)
When the value is true, the repository will be initialized with a README. Default: not initialized (false).
Git Ignore Template
License template
Repository path
IsPrivate
Default branch name when initializing the project. Default: main
The git address of the imported project, import_url and project_template parameters can only be passed one.
The path, import_url, and project_template parameters of the template project can only accept one value.
Repository type. code: code repository, model: model repository, dataset: dataset repository, space: space, default: code
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- Example
Schema
namespace object
{
"id": 0,
"full_name": "string",
"human_name": "string",
"url": "string",
"namespace": {
"id": 0,
"name": "string",
"path": "string",
"develop_mode": "string",
"kind": "string",
"full_path": "string",
"full_name": "string",
"visibility_level": 0,
"enable_file_control": 0,
"owner_id": 0
},
"path": "string",
"name": "string",
"description": "string",
"private": 0,
"public": 0,
"visibility": "string"
}
{
"id": 4106383,
"full_name": "dengmengmian/wunian-prj",
"human_name": "dengmengmian / wunian-prj",
"url": "https://api.gitcode.com/api/v5/user/repos",
"namespace": {
"id": 199940,
"name": "dengmengmian",
"path": "dengmengmian",
"develop_mode": "normal",
"kind": "user",
"full_path": "dengmengmian",
"full_name": "dengmengmian",
"visibility_level": 20,
"enable_file_control": false,
"owner_id": 268
},
"path": "wunian-prj",
"name": "wunian-prj",
"description": "wunian-prj",
"private": true,
"public": false,
"visibility": "private"
}